
package localstuff;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.FileWriter;
import java.io.IOException;
import java.text.ParseException;
import java.util.Iterator;
import java.util.StringTokenizer;

import org.ensembl.driver.AdaptorException;
import org.ensembl.driver.ConfigurationException;
import org.ensembl.util.SystemUtil;

public class EnsemblRunner {

	public static void main(String[] args)
		throws ConfigurationException, AdaptorException, ParseException {
			String usage = "USAGE: EnSemblRunner /path/to/in.file /path/to/coords.file /path/to/log.file /path/to/fasta.file";
        if(args.length !=4){
        	if(args[0]!=null && args[0].equals("--help")){
				System.out.println(usage);
				return;
        	}
			System.out.println(usage);
        	return;
        }  
		System.out.println(SystemUtil.environmentDump());
		String configFilename = "src/localstuff/example_database.properties";
		QueryWrapper qw = new QueryWrapper(configFilename);
		//File file = new File("/nfs/team71/psg/gjg/igsf.ipi.list");
		//File file = new File("/nfs/team71/psg/gjg/debono.igsf.list");
		//File file = new File("/nfs/team71/psg/gjg/mouse.ensembl.id.list");
		File file = new File(args[0]);	
		try {
			BufferedReader in = new BufferedReader(new FileReader(file));
			String input;
		
			while ((input = in.readLine()) != null) {
				StringTokenizer tokenizer = new StringTokenizer(input);
				int records = 0;
				IpiEntity curr = new IpiEntity();
				System.out.println(input);
				while(tokenizer.hasMoreTokens()){   
					String token = (String)tokenizer.nextToken();
					records++;		     
					if(records==1){
					   curr.setIpiId(token);
					   //curr.setEnsGeneId(token);
					}
					if(records==2){
						curr.setEnsGeneId(token);
					}
					if(records==3){
						curr.setEnsProtId(token);
					}
					if(records==4){
					   curr.setUniprotId(token);
					}
				}
				qw.ipiIdMap.put(curr.getIpiId(),curr);
			}			
			in.close();
		} catch (Exception except) {
			System.err.print("unable to open the file " + file.toString());
		}
		
		try {
			//FileWriter fw  = new FileWriter("/nfs/team71/psg/gjg/debono_results.out");
			//FileWriter fw2 = new FileWriter("/nfs/team71/psg/gjg/debono_igsf.fa");
			//FileWriter fw3 = new FileWriter("/nfs/team71/psg/gjg/debono.coords");
			
			FileWriter fw3 = new FileWriter(args[1]);// coords
			FileWriter fw = new FileWriter(args[2]); // crap	
			FileWriter fw2 = new FileWriter(args[3]); //fasta
			
			Iterator itr = qw.ipiIdMap.keySet().iterator();
			while(itr.hasNext()){
			  	String ipiId = (String)itr.next();
				qw.getGene(ipiId);
			}
			System.out.println("hit: "+qw.hCount);
			fw.write(qw.buf.toString());
			fw.flush();
			fw.close();
			fw2.write(qw.fst.toString());
			fw2.flush();
			fw2.close();
			fw3.write(qw.coOrds.toString());
			fw3.flush();
			fw3.close();		
		} catch (IOException e){
				e.printStackTrace();
		}
	  }
}
