package localstuff;

import java.util.List;

import org.ensembl.datamodel.Location;
import org.ensembl.datamodel.Sequence;
import org.ensembl.driver.CoreDriver;
import org.ensembl.driver.impl.CoreDriverImpl;

/**
 * Example implementation demonstrating how to retrieve
 * sequence, genes and other features for a genomic region.
 * 
 * @author <a href="mailto:craig@ebi.ac.uk">Craig Melsopp</a>
 */
public class SequenceAndGeneAndFeatureExample {

  public static void main(String[] args) throws Exception{
    
    Location loc = new Location("chromosome:1:100k-120k");
    System.out.println("Retrieving data for location: " + loc);
    
    CoreDriver d = new CoreDriverImpl("ensembldb.ensembl.org","homo_sapiens_core","anonymous",true);
    System.out.println("Retrieving data from:" + d);
    
    List genes = d.getGeneAdaptor().fetch(loc);
    System.out.println("Num genes = " + genes.size());
    
    Sequence s = d.getSequenceAdaptor().fetch(loc);
    System.out.println("Start of sequence = " + s.getString().substring(0,20)+"...");
    
    List miscFeatures = d.getMiscFeatureAdaptor().fetch(loc);
    System.out.println("Num misc features = " + miscFeatures.size());
    
  }
}
