/*
	Copyright (C) 2005 EBI, GRL

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

package localstuff;

import org.ensembl.util.ConnectionPoolDataSource;

/**
 * The point of this class is....
 *
 * @author <a href="mailto:craig@ebi.ac.uk">Craig Melsopp</a>
 */
public class TestEnsembl {

  public TestEnsembl() {
    try {
      org.ensembl.driver.CoreDriver humanDriver = null;
      java.util.Properties eProps = new java.util.Properties();
      eProps.setProperty("ensembl_driver",
                         "org.ensembl.driver.impl.CoreDriverImpl");
      eProps.setProperty("jdbc_driver", "com.mysql.jdbc.Driver");
      eProps.setProperty("host", "ensembldb.ensembl.org");
      eProps.setProperty("user", "anonymous");
      eProps.setProperty("password", "");
      eProps.setProperty("database", "homo_sapiens_core_29_35b");
      humanDriver = org.ensembl.driver.DriverManager.loadDriver(eProps);
      System.out.println("Driver loaded");
      humanDriver.closeAllConnections();
      System.out.println("Open connections after driver creation: " + ((ConnectionPoolDataSource)humanDriver.getDatasource()).poolSize());
      System.out.println("CONNECTED: " + humanDriver.testConnection());
      System.out.println("Open connections after isConnected(): " + ((ConnectionPoolDataSource)humanDriver.getDatasource()).poolSize());
      humanDriver.closeAllConnections();
      System.out.println("Open connections after closeAllConnections(): " + ((ConnectionPoolDataSource)humanDriver.getDatasource()).poolSize());
    }
    catch (Exception e) {
      e.printStackTrace();
    }
  }
 
  public static void main(String[] args) {
    TestEnsembl testEnsembl1 = new TestEnsembl();
  }
  

}
