package localstuff;

import java.util.Iterator;

import org.ensembl.datamodel.CoordinateSystem;
import org.ensembl.datamodel.Location;
import org.ensembl.datamodel.RepeatFeature;
import org.ensembl.driver.AdaptorException;
import org.ensembl.driver.CoreDriver;
import org.ensembl.registry.Registry;
import org.ensembl.util.SystemUtil;
import org.ensembl.variation.driver.VariationDriver;

public class TestIterator {
	private CoreDriver coreDriver;
    private VariationDriver variationDriver;

    public TestIterator() {
		 try {
		   Registry r = Registry.createDefaultRegistry();
//				coreDriver =
//CoreDriverFactory.createCoreDriver("ensembl_core.properties");
//			    variationDriver =
//VariationDriverFactory.createVariationDriver("ensembl_var.properties");
//			    variationDriver.setCoreDriver(coreDriver);
		   coreDriver = r.getGroup("human").getCoreDriver();
			    System.err.println(coreDriver.toString());
			    getRepeatsFromChromosomeLocation();
		 }
		 catch (AdaptorException e) {
			e.printStackTrace();
		 }
	}


	public static void main(String[] args) {
		System.out.println(SystemUtil.environmentDump());
		System.out.println("start");
		TestIterator ti = new TestIterator();
		System.out.println("done");
	}

	public void getRepeatsFromChromosomeLocation() {
		try {
			CoordinateSystem chromosomeCS = new CoordinateSystem("chromosome");
			Location location = new Location(chromosomeCS, "17", 4699900, 5000000 );
			for ( Iterator iter =
coreDriver.getRepeatFeatureAdaptor().fetchIterator(location, true );
iter.hasNext(); ){
			    RepeatFeature rf =  (RepeatFeature)iter.next();
			    if( rf.getLocation().getLength() > 100 ){
			      // explicitly set to chromosomse CS where necessary
			      rf.setLocation(coreDriver.getLocationConverter().convert(rf.getLocation(), chromosomeCS));
			    	System.err.println("rn " + rf.getLocation().getSeqRegionName() +
 "\thn " + rf.getHitLocation().getSeqRegionName() + "\tls "
			    			         + rf.getLocation().getStart() + "\thls "+
rf.getHitLocation().getStart() );
			    }
			}
		} catch (AdaptorException e) {
			e.printStackTrace();
		}
	}

}