package localstuff;

import java.util.List;
import java.util.Properties;

import org.ensembl.datamodel.Exon;
import org.ensembl.datamodel.Location;
import org.ensembl.datamodel.Transcript;
import org.ensembl.datamodel.Translation;
import org.ensembl.driver.CoreDriver;
import org.ensembl.driver.DriverManager;
import org.ensembl.driver.SequenceAdaptor;
import org.ensembl.driver.TranscriptAdaptor;
import org.ensembl.variation.driver.VariationDriver;
import org.ensembl.variation.driver.VariationFeatureAdaptor;
public class testReadThrough {


    public static TranscriptAdaptor createTranscriptAdaptor(String db)throws Exception { 
	//for the ensembl genes
	Properties configProps = new Properties();
	configProps.setProperty("ensembl_driver","org.ensembl.driver.plugin.standard.MySQLDriver");
	configProps.setProperty("host", "ensembldb.ensembl.org");
	configProps.setProperty("user", "anonymous");
	configProps.setProperty("database", "homo_sapiens_core_"+db); 
	CoreDriver driver = DriverManager.load(configProps);
	TranscriptAdaptor ta=driver.getTranscriptAdaptor();	
	return ta;
    }
    
    public static VariationFeatureAdaptor createVariationFeatureAdaptor() throws Exception {	
	CoreDriver cd = DriverManager.loadDriver("resources/data/unit_test_core.properties"); 	
	// create a driver for a variation variation 
	VariationDriver vd = DriverManager.loadVariationDriver("resources/data/unit_test_variation.properties"); 
	// the variation driver needs a sister driver to access the core database 
	vd.setCoreDriver(cd);
	VariationFeatureAdaptor VFA=vd.getVariationFeatureAdaptor();//for Snps out of the ENSEMBL DATABASE
	return VFA;	
    }
    
    public static SequenceAdaptor createSequenceAdaptor(String db)throws Exception { 
	//for the ensembl genes
	Properties configProps = new Properties();
	configProps.setProperty("ensembl_driver","org.ensembl.driver.plugin.standard.MySQLDriver");
	configProps.setProperty("host", "ensembldb.ensembl.org");
	configProps.setProperty("user", "anonymous");
	configProps.setProperty("database", "homo_sapiens_core_"+db); 
	CoreDriver driver = DriverManager.load(configProps);
	SequenceAdaptor sa=driver.getSequenceAdaptor();	
	return sa;
    }




    public static void main (String args[]) throws Exception{
	String db="31_35d";
	TranscriptAdaptor ta=createTranscriptAdaptor(db);
	test(ta);
    
    

    
    }


    public static void test (TranscriptAdaptor ta) throws Exception{
	List transcripts=ta.fetchAll();
	int knownTranscipts=0;
	for(int i=0;i<transcripts.size();i++){
	    Transcript Tr=(Transcript)transcripts.get(i);
	    if(Tr.isKnown()){
		knownTranscipts++;	    
	    }	
	}
	System.out.println("we have "+transcripts.size()+" transcripts of which "+knownTranscipts+ " are known");
	Transcript Tr=(Transcript)transcripts.get(35000);
	System.out.println("we get here:"+ Tr.getAccessionID()+" "+Tr.getDisplayName()+ " "+Tr.isKnown());
	Location loc=Tr.getCDNALocation();
	Translation Trans=Tr.getTranslation();
	System.out.println("we get here");
	Location loc2= Trans.getCodingLocation();
	Exon last=Trans.getEndExon();
	System.out.println("from "+loc.getStart()+" to "+loc.getEnd());           
    }





}
